import { Request, Response } from 'express';
import YearEndService from '../services/YearEndService';

class YearEndController {
  static async initiateTransfer(req: Request, res: Response) {
    try {
      await YearEndService.transferRemainders();
      res.json({ message: 'Перенос остатков успешно выполнен' });
    } catch (error) {
      console.error('Error initiating transfer:', error);
      res.status(500).json({ message: 'Ошибка при переносе остатков' });
    }
  }

  static async getTransferStatus(req: Request, res: Response) {
    try {
      const status = await YearEndService.getLastTransferStatus();
      res.json(status);
    } catch (error) {
      console.error('Error getting transfer status:', error);
      res.status(500).json({ message: 'Ошибка при получении статуса переноса' });
    }
  }
}

export default YearEndController; 