import { Router } from 'express';
import InventoryController from '../controllers/inventory.controller';
import { authMiddleware } from '../middleware/auth.middleware';

const router = Router();

router.use(authMiddleware);

// Маршруты для товаров
router.get('/categories/:categoryId/items', InventoryController.getCategoryItems);
router.post('/items', InventoryController.createItem);
router.put('/items/:id', InventoryController.updateItem);
router.delete('/items/:id', InventoryController.deleteItem);

// Маршруты для коробок
router.get('/categories/:categoryId/boxes', InventoryController.getCategoryBoxes);
router.post('/boxes', InventoryController.createBox);
router.put('/boxes/:id', InventoryController.updateBox);
router.delete('/boxes/:id', InventoryController.deleteBox);

export default router; 