import { Router } from 'express';
import YearEndController from '../controllers/yearEnd.controller';
import { authMiddleware, roleMiddleware } from '../middleware/auth.middleware';

const router = Router();

router.use(authMiddleware);
router.use(roleMiddleware(['admin'])); // Только админ может управлять переносом остатков

router.post('/transfer', YearEndController.initiateTransfer);
router.get('/status', YearEndController.getTransferStatus);

// Здесь будут маршруты переноса остатков

export default router; 